libzypp 17.37.10

TypeTraits.h File Reference
`#include <type_traits>`

Go to the source code of this file.

## Namespaces
namespace | std

## Typedefs
template<bool B, class T, class F>
using | std::conditional_t = typename conditional<B,T,F>::type
template<class T>
using | std::decay_t = typename decay<T>::type
template<bool B, class T = void>
using | std::enable_if_t = typename enable_if<B,T>::type
template<class T>
using | std::remove_reference_t = typename remove_reference<T>::type
template<class T>
using | std::result_of_t = typename result_of<T>::type
template<class T>
using | std::underlying_type_t = typename underlying_type<T>::type

## Variables
template<class Base, class Derived>
constexpr bool | std::is_base_of_v = is_base_of<Base, Derived>::value
template<class T>
constexpr bool | std::is_integral_v = is_integral<T>::value
template<class T>
constexpr bool | std::is_pointer_v = is_pointer<T>::value